# Function useFiveSceneEffect

- useFiveSceneEffect(
  callback: (scene: Scene) => void | (() => void),
  deps?: DependencyList,
  ): void

  Five React Hooks: 操作 Five 的 Scene

  #### Parameters

  - callback: (scene: Scene) => void | (() => void)

    获取 Five 的 Scene 的回调函数

  - `Optional` deps: DependencyList

  #### Returns void

  #### Example

      useFiveSceneEffect(scene => {
       // object is a THREE.Object3D
       scene.add(object);
       return () => scene.remove(object); // 析构函数
      });

  - Defined in lib/react/hooks/useFiveSceneEffect.ts:17